Cyberduck Mountain Duck CLI

#8168 closed defect (fixed)

Broken pipe failure when refreshing directory listing after control connection timeout

Reported by: tomylucadamo Owned by: dkocher
Priority: normal Milestone: 4.5.2
Component: ftp Version: Nightly Build
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.9

Description (last modified by dkocher)

Since last updates, when the connection go idle and I try to refresh a directory listing the error message is shown:

Broken pipe.

Time ago, when this happened, Cyberduck reconnects and refresh the directory. Now I have to reconnect from bookmarks and go manually to the folder where I was.

It's possible to fix that? Or is a new way to handle connections? Thank you!

https://www.dropbox.com/s/6nxxh5vz65dei6x/Screenshot%202014-08-11%2014.02.59.png

Change History (7)

comment:1 Changed on Aug 11, 2014 at 8:27:08 PM by dkocher

#8144 closed as duplicate.

comment:2 Changed on Aug 11, 2014 at 8:28:11 PM by dkocher

  • Description modified (diff)

comment:3 follow-up: Changed on Aug 11, 2014 at 8:55:19 PM by dkocher

Does Try Again not work as advertised?

comment:4 Changed on Aug 11, 2014 at 8:56:39 PM by dkocher

  • Component changed from core to ftp
  • Owner set to dkocher
  • Summary changed from Connection Closed, when refresh directory listing: Broken pipe. to Broken pipe failure when refreshing directory listing after control connection timeout

comment:5 in reply to: ↑ 3 Changed on Aug 11, 2014 at 9:02:59 PM by tomylucadamo

Replying to dkocher:

Does Try Again not work as advertised?

No, continues looping with this error.

comment:6 Changed on Aug 13, 2014 at 2:08:56 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

In r14998. Please update to the latest snapshot build available.

comment:7 Changed on Aug 13, 2014 at 3:32:18 PM by tomylucadamo

Great! Now, when the "Try Again" button is pressed, the connection restart and maintain the folder. Thank you very much for fixed so quickly!

Best!

Note: See TracTickets for help on using tickets.
swiss made software